aboutsummaryrefslogtreecommitdiffstats
path: root/make/scripts/make.jogl.all.android-aarch64-cross.sh
diff options
context:
space:
mode:
authorSven Gothel <[email protected]>2019-12-24 19:29:17 +0100
committerSven Gothel <[email protected]>2019-12-24 19:29:17 +0100
commit07de253dae77b39da944a946381bd6efec0066ba (patch)
treef5bd66c7aa47d96a65cf0e4a1babf8bd27d6bf81 /make/scripts/make.jogl.all.android-aarch64-cross.sh
parent548553e189f8f9fa60d6c59da6bf0a4bd1bf7505 (diff)
Bug 1417 - Android: Adopt to gluegen/make/scripts/setenv-android-tools.sh changes
Diffstat (limited to 'make/scripts/make.jogl.all.android-aarch64-cross.sh')
-rwxr-xr-xmake/scripts/make.jogl.all.android-aarch64-cross.sh54
1 files changed, 26 insertions, 28 deletions
diff --git a/make/scripts/make.jogl.all.android-aarch64-cross.sh b/make/scripts/make.jogl.all.android-aarch64-cross.sh
index 429f083c1..fab266cb9 100755
--- a/make/scripts/make.jogl.all.android-aarch64-cross.sh
+++ b/make/scripts/make.jogl.all.android-aarch64-cross.sh
@@ -1,21 +1,38 @@
#! /bin/sh
-SDIR=`dirname $0`
+SDIR=$(readlink -f `dirname $0`)
-if [ -e $SDIR/../../../gluegen/make/scripts/setenv-build-jogl-x86_64.sh ] ; then
- . $SDIR/../../../gluegen/make/scripts/setenv-build-jogl-x86_64.sh
+if [ -e ${SDIR}/../../../gluegen/make/scripts/setenv-build-jogl-x86_64.sh ] ; then
+ . ${SDIR}/../../../gluegen/make/scripts/setenv-build-jogl-x86_64.sh
fi
-if [ -e $SDIR/../../../gluegen/make/scripts/setenv-android-tools.sh ] ; then
- . $SDIR/../../../gluegen/make/scripts/setenv-android-tools.sh
+LOGF=make.jogl.all.android-aarch64-cross.log
+rm -f ${LOGF}
+
+export ANDROID_HOME=/opt-linux-x86_64/android-sdk-linux_x86_64
+export ANDROID_API_LEVEL=24
+export ANDROID_HOST_TAG=linux-x86_64
+export ANDROID_ABI=arm64-v8a
+
+if [ -e ${SDIR}/../../../gluegen/make/scripts/setenv-android-tools.sh ] ; then
+ . ${SDIR}/../../../gluegen/make/scripts/setenv-android-tools.sh >> $LOGF 2>&1
+else
+ echo "${SDIR}/../../../setenv-android-tools.sh doesn't exist!" 2>&1 | tee -a ${LOGF}
+ exit 1
fi
+export GLUEGEN_CPPTASKS_FILE=${SDIR}/../../../gluegen/make/lib/gluegen-cpptasks-android-aarch64.xml
+export PATH_VANILLA=$PATH
+export PATH=${ANDROID_TOOLCHAIN_ROOT}/${ANDROID_TOOLCHAIN_NAME}/bin:${ANDROID_TOOLCHAIN_ROOT}/bin:${ANDROID_HOME}/platform-tools:${ANDROID_BUILDTOOLS_ROOT}:${PATH}
+echo PATH ${PATH} 2>&1 | tee -a ${LOGF}
+echo clang `which clang` 2>&1 | tee -a ${LOGF}
+
export NODE_LABEL=.
export HOST_UID=jogamp
# jogamp02 - 10.1.0.122
export HOST_IP=10.1.0.122
-export HOST_RSYNC_ROOT=PROJECTS/JOGL
+export HOST_RSYNC_ROOT=PROJECTS/JogAmp
export TARGET_UID=jogamp
export TARGET_IP=panda02
@@ -26,37 +43,18 @@ export TARGET_ADB_PORT=5555
export TARGET_ROOT=/data/projects
export TARGET_ANT_HOME=/usr/share/ant
-export ANDROID_VERSION=24
export SOURCE_LEVEL=1.8
export TARGET_LEVEL=1.8
export TARGET_RT_JAR=/opt-share/jre1.8.0_212/lib/rt.jar
-export GCC_VERSION=4.9
-HOST_ARCH=linux-x86_64
-export TARGET_TRIPLE=aarch64-linux-android
-
-export NDK_TOOLCHAIN_ROOT=$NDK_ROOT/toolchains/${TARGET_TRIPLE}-${GCC_VERSION}/prebuilt/${HOST_ARCH}
-export TARGET_PLATFORM_SYSROOT=${NDK_ROOT}/platforms/android-${ANDROID_VERSION}/arch-arm64
-
-# Need to add toolchain bins to the PATH.
-# May need to create symbolic links within $NDK_TOOLCHAIN_ROOT/$TARGET_TRIPLE/bin
-# cd $NDK_TOOLCHAIN_ROOT/$TARGET_TRIPLE/bin
-# ln -s ../../bin/aarch64-linux-android-gcc gcc
-export PATH="$NDK_TOOLCHAIN_ROOT/$TARGET_TRIPLE/bin:$ANDROID_HOME/platform-tools:$ANDROID_HOME/build-tools/$ANDROID_BUILD_TOOLS_VERSION:$PATH"
-
-export GLUEGEN_CPPTASKS_FILE=`pwd`/../../gluegen/make/lib/gluegen-cpptasks-android-aarch64.xml
-
#export JUNIT_DISABLED="true"
#export JUNIT_RUN_ARG0="-Dnewt.test.Screen.disableScreenMode"
-echo PATH $PATH 2>&1 | tee make.jogl.all.android-aarch64-cross.log
-echo gcc `which gcc` 2>&1 | tee -a make.jogl.all.android-aarch64-cross.log
-
#export JOGAMP_JAR_CODEBASE="Codebase: *.jogamp.org"
export JOGAMP_JAR_CODEBASE="Codebase: *.goethel.localnet"
-# BUILD_ARCHIVE=true \
+#BUILD_ARCHIVE=true \
ant \
-Drootrel.build=build-android-aarch64 \
- $* 2>&1 | tee -a make.jogl.all.android-aarch64-cross.log
-
+ -Dgcc.compat.compiler=clang \
+ $* 2>&1 | tee -a ${LOGF}